#!/usr/bin/perl
use strict;

our $conf_file = "/etc/httpd/conf/httpd.conf";
our $new_conf_file = "/tmp/httpd.conf";


sub main {

	open("CFGFILE",$conf_file);
	open("NEWCFG",">$new_conf_file");
	while(<CFGFILE>) {

		if (m/^StartServers\s*\t*(\d+)$/ && $1 > 8) {
			print NEWCFG "StartServers 8\n";
		}
		elsif (m/^MinSpareServers\s*\t*(\d+)$/ && $1 > 1) {
			print NEWCFG "MinSpareServers 1\n";
		}
		elsif (m/^MaxSpareServers\s*\t*(\d+)$/ && $1 > 5) {
			print NEWCFG "MaxSpareServers 5\n";
		}
		elsif (m/^ServerLimit\s*\t*(\d+)$/ && $1 > 25) {
			print NEWCFG "ServerLimit 25\n";
		}
		elsif (m/^MaxClients\s*\t*(\d+)$/ && $1 > 25) {
			print NEWCFG "MaxClients 25\n";
		}
		elsif (m/^MaxRequestsPerChild\s*\t*(\d+)$/ && $1 > 100) {
			print NEWCFG "MaxRequestsPerChild 100\n";
		}
		else {
			print NEWCFG $_;
		}

	}
	close(CFGFILE);
	close(NEWCFG);

	`/bin/mv $new_conf_file $conf_file >/dev/null 2>&1`;

	`/etc/init.d/httpd restart >/dev/null 2>&1`;


}





&main();
